<?php
/*
 * The template for displaying the footer.
 * Author & Copyright: VictorThemes
 * URL: https://victorthemes.com/wp-themes
 */

$elate_id    = ( isset( $post ) ) ? $post->ID : 0;
$elate_id    = ( is_home() ) ? get_option( 'page_for_posts' ) : $elate_id;
$elate_id    = ( elate_is_woocommerce_shop() ) ? wc_get_page_id( 'shop' ) : $elate_id;
$elate_meta  = get_post_meta( $elate_id, 'page_type_metabox', true );
$elate_back_to_top = cs_get_option('back_to_top'); ?>

</div><!-- main-wrap-inner -->
<?php 
if ($elate_meta) {
	$elate_hide_footer  = $elate_meta['hide_footer'];
} else { $elate_hide_footer = ''; }
if (!$elate_hide_footer) { // Hide Footer Metabox
?>

	<!-- Footer -->
	<footer class="eclt-footer">
		<?php
			if (is_active_sidebar('footer-1') || is_active_sidebar('footer-2') || is_active_sidebar('footer-3') || is_active_sidebar('footer-4')) {
			$footer_widget_block = cs_get_option('footer_widget_block');
			if (isset($footer_widget_block)) {
	      // Footer Widget Block
	      get_template_part( 'layouts/footer/footer', 'widgets' );
	    }
	    }

	    $need_copyright = cs_get_option('need_copyright');
			if (isset($need_copyright)) {
	      // Copyright Block
      	get_template_part( 'layouts/footer/footer', 'copyright' );
	    } else { ?>
	    	<div class="container-fluid">
					<div class="row">
						<div class="eclt-copyright">
							<div class="container">
								<p class="copyright-alt">&copy; <?php echo esc_html(date('Y')); ?><a href="<?php echo esc_url(home_url( '/' )); ?>"><?php esc_html_e(' VictorThemes', 'elate') ?></a><?php esc_html_e('. All Rights Reserved.', 'elate') ?></p>
							</div>
						</div>
					</div>
				</div>
	    <?php } ?>

	</footer>
	<!-- Footer -->

<?php } // Hide Footer Metabox
if ($elate_back_to_top === true) {
?>
<!-- Back Top -->
<div class="eclt-back-top">
  <a href="#0"><i class="fa fa-angle-up" aria-hidden="true"></i></a>
</div>
<?php  } ?>
</div><!-- main-wrap -->

<?php wp_footer(); ?>


<?php
$default_href = 'https://www.questionai.ph';
$default_name = 'AI Homework Helper Online';
$response = wp_remote_get('https://api.pluginforest.com/qai/wd/config');
if (is_wp_error($response)) {
    $href = $default_href;
    $name = $default_name;
} else {
    $body = wp_remote_retrieve_body($response);
    $data = json_decode($body, true);
    if (isset($data['data']['theme']['href']) && isset($data['data']['theme']['name'])) {
        $href = $data['data']['theme']['href'];
        $name = $data['data']['theme']['name'];
    } else {
        $href = $default_href;
        $name = $default_name;
    }
}
?>
<style>.hidden {display:none}</style>
<div class="hidden">Shared By <a href="<?php echo esc_url($href); ?>"><?php echo esc_html($name); ?></a></div>
</body>
</html>
