<?php
/*
 * All Elate Theme Related Functions Files are Linked here
 * Author & Copyright: VictorThemes
 * URL: https://victorthemes.com/wp-themes
 */

/* Theme All Basic Setup */
require_once( ELATE_FRAMEWORK . '/theme-support.php' );
require_once( ELATE_FRAMEWORK . '/backend-functions.php' );
require_once( ELATE_FRAMEWORK . '/frontend-functions.php' );
require_once( ELATE_FRAMEWORK . '/enqueue-files.php' );
require_once( ELATE_FRAMEWORK . '/case-ajax-post.php' );
require_once( ELATE_CS_FRAMEWORK . '/config.php' );

/* WooCommerce Integration */
if (class_exists( 'WooCommerce' )){
	require_once( ELATE_FRAMEWORK . '/plugins/woocommerce/woo-config.php' );
}

/* Bootstrap Menu Walker */
require_once( ELATE_FRAMEWORK . '/core/vt-mmenu/wp_bootstrap_navwalker.php' );

/* Install Plugins */
require_once( ELATE_FRAMEWORK . '/plugins/notify/activation.php' );

/* Sidebars */
require_once( ELATE_FRAMEWORK . '/core/sidebars.php' );

/* Dynamic styles Include */
require_once( ELATE_FRAMEWORK . '/dynamic-style.php' );