<?php
/*
 * Admin Styles for Elate Theme
 * Author & Copyright: VictorThemes
 * URL: https://victorthemes.com/wp-themes
 */

$elate_view_more = cs_get_option('view_more_text');
$elate_view_more = $elate_view_more ? $elate_view_more : esc_html__('View More', 'elate');

  // Category
  global $post;
  $elate_terms = wp_get_post_terms($post->ID,'casestudies_category');
  foreach ($elate_terms as $term) {
    $elate_cat_class = 'cat-' . $term->slug;
  }
  $elate_count = count($elate_terms);
  $i=0;
  $elate_cat_class = '';
  if ($elate_count > 0) {
    foreach ($elate_terms as $term) {
      $i++;
      $elate_cat_class .= 'cat-'. $term->slug .' ';
      if ($elate_count != $i) {
        $elate_cat_class .= '';
      } else {
        $elate_cat_class .= '';
      }
    }
  }

  // Featured Image
  $elate_large_image =  wp_get_attachment_image_src( get_post_thumbnail_id(get_the_ID()), 'fullsize', false, '' );
  $elate_large_image = $elate_large_image[0];
?>
<div class="masonry-item <?php echo esc_attr($elate_cat_class); ?>" data-category="<?php echo esc_attr($elate_cat_class); ?>">
  <div class="case-item">
    <?php if ($elate_large_image) { ?>
    <div class="bpw-featured-img">
      <img src="<?php echo esc_url($elate_large_image); ?>" alt="<?php the_title_attribute(); ?>">
    </div>
    <?php } ?>
    <div class="bpw-content-overlay"></div>
    <div class="bpw-content">
      <?php if ($elate_large_image) { ?>
      <div class="popup-image casestudies-zoom">
        <a href="<?php echo esc_url($elate_large_image); ?>">
          <i class="icon-magnifier"></i>
        </a>
      </div>
      <?php } ?>
      <div class="casestudies-link">    
      <a href="<?php esc_url(the_permalink()); ?>"><i class="icon-link"></i></a>
    </div>
    </div>
  </div>
</div>
