<?php
	// Main Text
	$elate_need_copyright = cs_get_option('need_copyright');
	$elate_footer_copyright_layout = cs_get_option('footer_copyright_layout');
	$elate_copyright_text = cs_get_option('copyright_text');
	$elate_secondary_text = cs_get_option('secondary_text');

	if ($elate_footer_copyright_layout === 'copyright-1') {
		$elate_copyright_layout_class = 'col-sm-6';
		$elate_copyright_seclayout_class = 'text-right';
	} elseif ($elate_footer_copyright_layout === 'copyright-2') {
		$elate_copyright_layout_class = 'col-sm-6 pull-right text-right';
		$elate_copyright_seclayout_class = 'text-left';
	} elseif ($elate_footer_copyright_layout === 'copyright-3') {
		$elate_copyright_layout_class = 'col-sm-12 text-center';
	} else {
		$elate_copyright_layout_class = '';
		$elate_copyright_seclayout_class = '';
	}
	if (isset($elate_need_copyright)) {
	if ($elate_copyright_text || $elate_secondary_text ) {
?>

<!-- Copyright Bar -->
<div class="container-fluid">
	<div class="row">
		<div class="eclt-copyright">
			<div class="container">
				<div class="row">
					<div class="cprt-left <?php echo esc_attr($elate_copyright_layout_class); ?>">
						<?php
							echo '<p>'. do_shortcode($elate_copyright_text) .'</p>';
						?>
					</div>
					<?php if ($elate_footer_copyright_layout != 'copyright-3') { ?>
					<div class="col-sm-6 cprt-right <?php echo esc_attr($elate_copyright_seclayout_class); ?>">
						<?php
							echo do_shortcode($elate_secondary_text);
						?>
					</div>
					<?php } ?>
				</div>
			</div>
		</div>
	</div>
</div>
<?php } else { ?>
<div class="container-fluid">
	<div class="row">
		<div class="eclt-copyright">
			<div class="container">
				<p class="copyright-alt">&copy; <?php echo esc_html(date('Y')); ?><a href="<?php echo esc_url(home_url( '/' )); ?>"><?php esc_html_e(' VictorThemes', 'elate') ?></a><?php esc_html_e('. All Rights Reserved.', 'elate') ?></p>
			</div>
		</div>
	</div>
</div>
<!-- Copyright Bar -->
<?php } }