<?php
// Logo Image
$elate_brand_logo_default = cs_get_option('brand_logo_default');

// Retina Size
$elate_retina_width = cs_get_option('retina_width');
$elate_retina_height = cs_get_option('retina_height');

// Logo Spacings
$elate_brand_logo_top = cs_get_option('brand_logo_top');
$elate_brand_logo_bottom = cs_get_option('brand_logo_bottom');
if ($elate_brand_logo_top !== '') {
	$elate_brand_logo_top = $elate_brand_logo_top ? 'padding-top:'. elate_check_px($elate_brand_logo_top) .';' : '';
} else { $elate_brand_logo_top = ''; }
if ($elate_brand_logo_bottom !== '') {
	$elate_brand_logo_bottom = $elate_brand_logo_bottom ? 'padding-bottom:'. elate_check_px($elate_brand_logo_bottom) .';' : '';
} else { $elate_brand_logo_bottom = ''; }

$elate_brand_logo_top = $elate_brand_logo_top ? $elate_brand_logo_top : '';
$elate_brand_logo_bottom = $elate_brand_logo_bottom ? $elate_brand_logo_bottom : '';
?>
<div class="eclt-brand" style="<?php echo esc_attr($elate_brand_logo_top); echo esc_attr($elate_brand_logo_bottom); ?>">
	<a href="<?php echo esc_url(home_url( '/' )); ?>">
		<?php
		if (isset($elate_brand_logo_default)){
			echo '<img src="'. esc_url(wp_get_attachment_url($elate_brand_logo_default)) .'" alt="'. esc_attr(get_bloginfo( 'name' )) .'" class="default-logo" width="'. esc_attr($elate_retina_width) .'" height="'. esc_attr($elate_retina_height) .'">';
		} else {
			echo '<div class="text-logo">'. esc_attr(get_bloginfo( 'name' )) . '</div>';
		} ?>
	</a>
</div>