<?php
// Metabox
global $post;
$elate_id    = ( isset( $post ) ) ? $post->ID : false;
$elate_id    = ( is_home() ) ? get_option( 'page_for_posts' ) : $elate_id;
$elate_id    = ( elate_is_woocommerce_shop() ) ? wc_get_page_id( 'shop' ) : $elate_id;
$elate_id    = ( ! is_tag() && ! is_archive() && ! is_search() && ! is_404() && ! is_singular('testimonial') ) ? $elate_id : false;
$elate_meta  = get_post_meta( $elate_id, 'page_type_metabox', true );
if ($elate_meta) {
  $elate_topbar_options = $elate_meta['topbar_options'];
} else {
  $elate_topbar_options = '';
}
// Define Theme Options and Metabox varials in right way!
if ($elate_meta) {
  if ($elate_topbar_options === 'custom' && $elate_topbar_options !== 'default') {
    $elate_top_left           = $elate_meta['top_left'];
    $elate_top_right          = $elate_meta['top_right'];
    $elate_topbar_left_width  = $elate_meta['topbar_left_width'];
    $elate_topbar_right_width = $elate_meta['topbar_right_width'];
    $elate_left_width         = $elate_topbar_left_width ? 'width:'. $elate_topbar_left_width .';' : '';
    $elate_right_width        = $elate_topbar_right_width ? 'width:'. $elate_topbar_right_width .';' : '';
    $elate_hide_topbar        = $elate_topbar_options;
    $elate_topbar_bg          = $elate_meta['topbar_bg'];
    $elate_topbar_border          = $elate_meta['topbar_border'];
  } else {
    $elate_top_left           = cs_get_option('top_left');
    $elate_top_right          = cs_get_option('top_right');
    $elate_topbar_left_width  = cs_get_option('topbar_left_width');
    $elate_topbar_right_width = cs_get_option('topbar_right_width');
    $elate_left_width         = $elate_topbar_left_width ? 'width:'. $elate_topbar_left_width .';' : '';
    $elate_right_width        = $elate_topbar_right_width ? 'width:'. $elate_topbar_right_width .';' : '';
    $elate_hide_topbar        = cs_get_option('top_bar');
    $elate_topbar_bg          = '';
    $elate_topbar_border      = '';
  }
} else {
  // Theme Options fields
  $elate_top_left           = cs_get_option('top_left');
  $elate_top_right          = cs_get_option('top_right');
  $elate_topbar_left_width  = cs_get_option('topbar_left_width');
  $elate_topbar_right_width = cs_get_option('topbar_right_width');
  $elate_left_width         = $elate_topbar_left_width ? 'width:'. $elate_topbar_left_width .';' : '';
  $elate_right_width        = $elate_topbar_right_width ? 'width:'. $elate_topbar_right_width .';' : '';
  $elate_hide_topbar        = cs_get_option('top_bar');
  $elate_topbar_bg          = '';
  $elate_topbar_border      = '';
}
// All options
if ($elate_meta && $elate_topbar_options === 'custom' && $elate_topbar_options !== 'default') {
  $elate_top_left = ( $elate_top_left ) ? $elate_meta['top_left'] : cs_get_option('top_left');
  $elate_top_right = ( $elate_top_right ) ? $elate_meta['top_right'] : cs_get_option('top_right');
} else {
  $elate_top_left = cs_get_option('top_left');
  $elate_top_right = cs_get_option('top_right');
}
if ($elate_meta && $elate_topbar_options !== 'default') {
  if ($elate_topbar_options === 'hide_topbar') {
    $elate_hide_topbar = 'hide';
  } else {
    $elate_hide_topbar = 'show';
  }
} else {
  $elate_hide_topbar_check = cs_get_option('top_bar');
  if ($elate_hide_topbar_check === true ) {
    $elate_hide_topbar = 'hide';
  } else {
    $elate_hide_topbar = 'show';
  }
}
if ($elate_meta) {
  $elate_topbar_bg = ( $elate_topbar_bg ) ? $elate_meta['topbar_bg'] : '';
  $elate_topbar_border = ( $elate_topbar_border ) ? $elate_meta['topbar_border'] : '';
} else {
  $elate_topbar_bg = '';
  $elate_topbar_border = '';
}

if ($elate_topbar_bg) {
  $elate_topbar_bg = 'background-color: '. $elate_topbar_bg .';';
} else {
  $elate_topbar_bg = '';
}
if ($elate_topbar_border) {
  $elate_topbar_border = 'border-color: '. $elate_topbar_border .';';
} else {
  $elate_topbar_border = '';
}

$elate_topbar_left_width = ( $elate_topbar_left_width ) ? $elate_meta['topbar_left_width'] : cs_get_option('topbar_left_width');
$elate_topbar_right_width = ( $elate_topbar_right_width ) ? $elate_meta['topbar_right_width'] : cs_get_option('topbar_right_width');
$elate_left_width   = $elate_topbar_left_width ? 'width:'. $elate_topbar_left_width .';' : '';
$elate_right_width  = $elate_topbar_right_width ? 'width:'. $elate_topbar_right_width .';' : '';

if($elate_hide_topbar === 'show') {
  if ($elate_top_left || $elate_top_right) {
?>
<div class="eclt-topbar" style="<?php echo esc_attr($elate_topbar_bg.$elate_topbar_border); ?>">
  <div class="container">
    <div class="row">
        <div class="eclt-topbar-left pull-left" style="<?php echo esc_attr($elate_left_width); ?>">
          <?php echo do_shortcode($elate_top_left); ?>
        </div>

        <div class="eclt-topbar-right" style="<?php echo esc_attr($elate_right_width); ?>">
          <div class="pull-right">
            <?php echo do_shortcode($elate_top_right); ?>
          </div>
        </div>
    </div>
  </div>
</div>
<?php } }
