<?php
/*
 * Admin Styles for Elate Theme
 * Author & Copyright: VictorThemes
 * URL: https://victorthemes.com/wp-themes
 */

  // Category
  global $post;
  $elate_terms = wp_get_post_terms($post->ID,'casestudies_category');
  foreach ($elate_terms as $term) {
    $elate_cat_class = 'cat-' . $term->slug;
  }
  $elate_count = count($elate_terms);
  $i=0;
  $elate_cat_class = '';
  if ($elate_count > 0) {
    foreach ($elate_terms as $term) {
      $i++;
      $elate_cat_class .= 'cat-'. $term->slug .' ';
      if ($elate_count != $i) {
        $elate_cat_class .= '';
      } else {
        $elate_cat_class .= '';
      }
    }
  }

  // Featured Image
  $elate_large_image =  wp_get_attachment_image_src( get_post_thumbnail_id(get_the_ID()), 'fullsize', false, '' );
  $elate_large_image = $elate_large_image[0];
?>
	<div class="masonry-item <?php echo esc_attr($elate_cat_class); ?>" data-category="<?php echo esc_attr($elate_cat_class); ?>">
    <div class="case-item">
      <?php if ($elate_large_image) { ?>
  	  <div class="bpw-featured-img">
  	    <img src="<?php echo esc_url($elate_large_image); ?>" alt="<?php the_title_attribute(); ?>">
  	    <div class="bpw-content-overlay">
  				<a href="<?php esc_url(the_permalink()); ?>" class="bpw-plus-icon"></a>
  			</div>
  	  </div>
      <?php } ?>
  	  <div class="bpw-content">
  	    <a href="<?php esc_url(the_permalink()); ?>" class="bpw-heading"><?php echo get_the_title(); ?></a>
  	    <?php
  	    $elate_category_list = wp_get_post_terms($post->ID, 'casestudies_category');
  	    $i=1;
  	    foreach ($elate_category_list as $term) {
  	      $elate_term_link = get_term_link( $term );
  	      echo '<a href="'. esc_url($elate_term_link) .'" class="bpw-category">'. $term->name .'</a> ';
  	      if($i++==2) break;
  	    }
  	    ?>
  	  </div>
    </div>
	</div>