<?php
// Metabox
$elate_id    = ( isset( $post ) ) ? $post->ID : 0;
$elate_id    = ( is_home() ) ? get_option( 'page_for_posts' ) : $elate_id;
$elate_id    = ( elate_is_woocommerce_shop() ) ? wc_get_page_id( 'shop' ) : $elate_id;
$elate_id    = ( ! is_tag() && ! is_archive() && ! is_search() && ! is_404() && ! is_singular('testimonial') ) ? $elate_id : false;
$elate_meta  = get_post_meta( $elate_id, 'page_type_metabox', true );

// Header Style - ThemeOptions & Metabox
if ($elate_meta) {
  $elate_header_design  = $elate_meta['select_header_design'];
  $elate_sticky_header  = $elate_meta['sticky_header'];
  $elate_search_icon    = $elate_meta['search_icon'];
  $elate_cart_widget    = $elate_meta['cart_widget'];
} else {
  $elate_header_design  = cs_get_option('select_header_design');
  $elate_sticky_header  = cs_get_option('sticky_header');
  $elate_search_icon    = cs_get_option('search_icon');
  $elate_cart_widget    = cs_get_option('cart_widget');
}
if ($elate_header_design === 'default') {
  $elate_header_design_actual  = cs_get_option('select_header_design');
} else {
  $elate_header_design_actual = ( $elate_header_design ) ? $elate_header_design : cs_get_option('select_header_design');
}
if ($elate_meta && $elate_header_design !== 'default') {
  $elate_sticky_header  = $elate_meta['sticky_header'];
  $elate_search_icon    = $elate_meta['search_icon'];
  $elate_cart_widget    = $elate_meta['cart_widget'];
} else {
  $elate_sticky_header  = cs_get_option('sticky_header');
  $elate_search_icon    = cs_get_option('search_icon');
  $elate_cart_widget    = cs_get_option('cart_widget');
}

$elate_mobile_breakpoint = cs_get_option('mobile_breakpoint');
$elate_breakpoint = $elate_mobile_breakpoint ? $elate_mobile_breakpoint : '1199';

if ($elate_header_design_actual === 'style_two') {
  $elate_sticky_header_class = $elate_sticky_header ? ' eclt-sticky' : '';
} else {
  $elate_sticky_header_class = '';
}
if ($elate_header_design_actual === 'style_two') { ?>
<div class="eclt-navigation-wraper <?php echo esc_attr($elate_sticky_header_class); ?>">
  <div class="container">
    <div class="eclt-header-right"></div>
<?php } ?>
  <!-- Navigation & Search -->
  <div class="eclt-navigation" data-nav="<?php echo esc_attr($elate_breakpoint); ?>">
  <?php
  if ($elate_meta) {
    $elate_choose_menu = $elate_meta['choose_menu'];
  } else {
    $elate_choose_menu = '';
  }
  $elate_choose_menu = $elate_choose_menu ? $elate_choose_menu : '';

  wp_nav_menu(
    array(
      'menu'              => 'primary',
      'theme_location'    => 'primary',
      'container'         => '',
      'container_class'   => '',
      'container_id'      => '',
      'menu'              => $elate_choose_menu,
      'menu_class'        => '',
      'fallback_cb'       => 'elate_wp_bootstrap_navwalker::fallback',
      'walker'            => new elate_wp_bootstrap_navwalker()
    )
  );

  if ($elate_header_design_actual === 'style_two') {
    if ($elate_search_icon) { ?>
    <div class="eclt-nav-search">
      <a href="#0" id="search-trigger"><i class="icon-magnifier"></i></a>
    </div>
    <?php } ?>
    <div class="eclt-search-three">
      <form method="get" action="<?php echo esc_url(home_url('/')); ?>" class="searchform" >
        <input type="text" name="s" id="s" placeholder="<?php esc_attr_e( 'Search Here...', 'elate' ); ?>" />
      </form>
      <span class="eclt-search-close"></span>
    </div>
  <?php } else {
    if ($elate_search_icon || $elate_cart_widget) { ?>
      <div class="top-nav-icons">
        <?php if ($elate_search_icon) { ?>
          <div class="eclt-nav-search">
            <a href="#0" id="search-trigger-two"><i class="icon-magnifier"></i></a>
          </div>
        <?php } if ($elate_cart_widget) {
          if ( class_exists( 'WooCommerce' ) ) {
          global $woocommerce;
          $elate_cart_url = wc_get_cart_url();
          $elate_qty = $woocommerce->cart->get_cart_contents_count(); ?>
            <div class="eclt-nav-cart">
              <a href="<?php echo esc_url($elate_cart_url); ?>" id="cart-trigger">
                <span><?php echo esc_html($elate_qty); ?></span>
                <i class="icon-bag"></i>
              </a>
            </div>
          <?php } // woocommerce plugin installed
        } ?>
      </div> <!-- top-nav-icons -->
    <?php }
  } ?>
  </div> <!-- eclt-navigation -->
<?php if ($elate_header_design_actual === 'style_two') { ?>
  </div> <!-- Container -->
</div> <!-- eclt-navigation-wraper -->
<?php } ?>
