<?php
// Metabox
$elate_id    = ( isset( $post ) ) ? $post->ID : 0;
$elate_id    = ( is_home() ) ? get_option( 'page_for_posts' ) : $elate_id;
$elate_id    = ( elate_is_woocommerce_shop() ) ? wc_get_page_id( 'shop' ) : $elate_id;
$elate_meta  = get_post_meta( $elate_id, 'page_type_metabox', true );
if ($elate_meta && is_page()) {
	$elate_title_bar_padding = $elate_meta['title_area_spacings'];
} else { $elate_title_bar_padding = ''; }
// Padding - Theme Options
if ($elate_title_bar_padding && $elate_title_bar_padding !== 'padding-none') {
	$elate_title_top_spacings = $elate_meta['title_top_spacings'];
	$elate_title_bottom_spacings = $elate_meta['title_bottom_spacings'];
	if ($elate_title_bar_padding === 'padding-custom') {
		$elate_title_top_spacings = $elate_title_top_spacings ? 'padding-top:'. elate_check_px($elate_title_top_spacings) .';' : '';
		$elate_title_bottom_spacings = $elate_title_bottom_spacings ? 'padding-bottom:'. elate_check_px($elate_title_bottom_spacings) .';' : '';
		$elate_custom_padding = $elate_title_top_spacings . $elate_title_bottom_spacings;
	} else {
		$elate_custom_padding = '';
	}
} else {
	$elate_title_bar_padding = cs_get_option('title_bar_padding');
	$elate_titlebar_top_padding = cs_get_option('titlebar_top_padding');
	$elate_titlebar_bottom_padding = cs_get_option('titlebar_bottom_padding');
	if ($elate_title_bar_padding === 'padding-custom') {
		$elate_titlebar_top_padding = $elate_titlebar_top_padding ? 'padding-top:'. elate_check_px($elate_titlebar_top_padding) .';' : '';
		$elate_titlebar_bottom_padding = $elate_titlebar_bottom_padding ? 'padding-bottom:'. elate_check_px($elate_titlebar_bottom_padding) .';' : '';
		$elate_custom_padding = $elate_titlebar_top_padding . $elate_titlebar_bottom_padding;
	} else {
		$elate_custom_padding = '';
	}
}

// Banner Type - Meta Box
if ($elate_meta) {
	$elate_banner_type = $elate_meta['banner_type'];
} else { $elate_banner_type = ''; }

// Overlay Color - Theme Options
if ($elate_meta && is_page()) {
	$elate_bg_overlay_color = $elate_meta['titlebar_bg_overlay_color'];
} else { $elate_bg_overlay_color = ''; }
if ($elate_bg_overlay_color) {
	if ($elate_bg_overlay_color) {
		$elate_overlay_color = $elate_bg_overlay_color;
	} else {
		$elate_overlay_color = '';
	}
} else {
	$elate_bg_overlay_color = cs_get_option('titlebar_bg_overlay_color');
	if ($elate_bg_overlay_color) {
		$elate_overlay_color = $elate_bg_overlay_color;
	} else {
		$elate_overlay_color = '';
	}
}

// Background - Type
if( $elate_meta && isset( $elate_meta['title_area_bg'] ) ) {

  extract( $elate_meta['title_area_bg'] );

  $elate_background_image       = ( ! empty( $image ) ) ? 'background-image: url(' . $image . ');' : '';
  $elate_background_repeat      = ( ! empty( $image ) && ! empty( $repeat ) ) ? ' background-repeat: ' . $repeat . ';' : '';
  $elate_background_position    = ( ! empty( $image ) && ! empty( $position ) ) ? ' background-position: ' . $position . ';' : '';
  $elate_background_size    = ( ! empty( $image ) && ! empty( $size ) ) ? ' background-size: ' . $size . ';' : '';
  $elate_background_attachment    = ( ! empty( $image ) && ! empty( $size ) ) ? ' background-attachment: ' . $attachment . ';' : '';
  $elate_background_color       = ( ! empty( $color ) ) ? ' background-color: ' . $color . ';' : '';
  $elate_background_style       = ( ! empty( $image ) ) ? $elate_background_image . $elate_background_repeat . $elate_background_position . $elate_background_size . $elate_background_attachment : '';

  $elate_title_bg = ( ! empty( $elate_background_style ) || ! empty( $elate_background_color ) ) ? $elate_background_style . $elate_background_color : '';

} else { $elate_title_bg = ''; }

if($elate_banner_type === 'hide-title-area') { // Hide Title Area
} elseif($elate_meta && $elate_banner_type === 'revolution-slider') { // Hide Title Area
	echo do_shortcode($elate_meta['page_revslider']);
} elseif($elate_meta && $elate_banner_type === 'elementor-templates') {
  echo do_shortcode('[elate_elementor_template id="'.$elate_meta['ele_templates'].'"]');
} else { ?>
	<!-- Banner & Title Area -->
<div class="eclt-title-area <?php echo esc_attr($elate_title_bar_padding .' '. $elate_banner_type); ?>" style="<?php echo esc_attr($elate_custom_padding . $elate_title_bg); ?>">
<?php if($elate_bg_overlay_color) { ?>
	<div class="eclt-title-overlay" style="background-color:<?php echo esc_attr($elate_overlay_color); ?>"></div>
<?php } ?>
  <span class="page-title"><?php echo elate_title_area(); ?></span>
</div>
<?php } ?>