<?php
/*
 * The template for casestudies category pages.
 * Author & Copyright: VictorThemes
 * URL: https://victorthemes.com/wp-themes
 */
get_header();

if (elate_is_post_type('casestudies')) {
	$elate_casestudies_style = cs_get_option('casestudies_style');
	$elate_casestudies_pagination = cs_get_option('casestudies_pagination');

	$elate_casestudies_style = $elate_casestudies_style ? $elate_casestudies_style : 'one';
}
?>

<div class="container eclt-content-area">
	<div class="row">

	<?php if (elate_is_post_type('casestudies')) { ?>
	<!-- Casestudies Start -->
  <div class="eclt-masonry bpw-style-<?php echo esc_attr($elate_casestudies_style); ?>">

		<?php
		/* Start the Loop */
		if (have_posts()) : while (have_posts()) : the_post();
				/* Template */
				get_template_part( 'layouts/casestudies/casestudies', $elate_casestudies_style );
			endwhile;
		else :
			get_template_part( 'layouts/post/content', 'none' );
		endif;
		wp_reset_postdata(); ?>

	</div><!-- Casestudiess End -->
	<?php
		if ($elate_casestudies_pagination) {
		  elate_default_paging_nav();
		}
	wp_reset_postdata();
	} // Post Type Casestudies
	?>

	</div> <!-- Row -->
</div> <!-- Container -->

<?php
get_footer();